/* Ancho máximo de la página*/
.main-container {
  max-width: 80%; /* Puedes ajustar este valor según tus necesidades */
  margin: 0 auto; /* Centra el contenedor en la página */
  padding: 0 20px; /* Añade algo de padding para evitar que el contenido toque los bordes */
  box-sizing: border-box;
}

/* CSS para el reproductor flotante */
#miniPlayer {
    position: fixed;
    top: 50%;
    right: 10px;
    width: 200px;
    height: 200px;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    overflow: hidden; /* Para que los bordes redondeados funcionen correctamente */
    flex-direction: column;
    transform: translateY(-50%);
}
#logo {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 70px;
    height: 70px;
    background: url('../icons/icon@512.png') center center / cover no-repeat;
    z-index: 10;
}
#playerControls {
    display: none; /* Ocultar controles adicionales */
}

/* CSS para el carrusel */
.carousel {
    position: relative;
    width: 80%;
    /*max-width: 600px;*/
    margin: 20px auto;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.carousel-inner {
    display: flex;
    transition: transform 0.5s ease-in-out;
}
.carousel-item {
    min-width: 100%;
    box-sizing: border-box;
}
.carousel-item img {
    width: 100%;
    display: block;
}
.carousel-controls {
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
}
.carousel-control {
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: white;
    padding: 10px;
    cursor: pointer;
}

/* Estilos generales */
body {
    margin: 0;
    font-family: Arial, sans-serif;
  }
  
  header {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #333;
    z-index: 101;
  }
  
  nav ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
  
  nav ul li {
    display: inline;
  }
  
  nav ul li a {
    display: inline-block;
    padding: 10px 20px;
    color: #fff;
    text-decoration: none;
  }
  
  h1, h2 {
    text-align: center;
    padding-top: 40px;
    font-size: 25px;
  }
  
  ul {
    text-align: center;
  }
  
  /* Estilos para las cards */
  .cards-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
  }
  
  .card {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin: 10px;
    width: 250px;
    overflow: hidden;
    transition: transform 0.2s;
  }
  
  .card:hover {
    transform: scale(1.05);
  }
  
  .card img {
    width: 100%;
    height: auto;
  }
  
  .card-content {
    padding: 20px;
  }
  
  .card h3 {
    margin-top: 0;
  }
  
  .card p {
    color: #5f5f5f;
  }
  
  .card a {
    display: inline-block;
    margin-top: 10px;
    color: #007bff;
    text-decoration: none;
  }
  
  .card a:hover {
    text-decoration: underline;
  }
  
  /* Otros estilos */
  .whatsapp-circle {
    position: fixed; /* Mantiene la posición fija en la ventana */
    width: 60px; /* Ancho del logo */
    height: 60px; /* Alto del logo */
    bottom: 40px; /* Distancia desde la parte inferior */
    right: 40px; /* Distancia desde la derecha */
    background-color: #25d33c; /* Color de fondo */
    color: #fff; /* Color del texto */
    border-radius: 50%; /* Bordes redondeados */
    display: flex; /* Usar flexbox para centrar contenido */
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
    font-size: 30px; /* Tamaño de fuente */
    transition: all 0.3s ease-in-out; /* Transición suave */
    z-index: 100; /* Asegura que esté por encima de otros elementos */
}

.whatsapp-circle:hover {
    background-color: #18ac24; /* Color de fondo al pasar el mouse */
}
  
  /* Reproductor de radio */
  iframe[src*="tunein.com"] {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 99; /* Asegura que el reproductor esté detrás del círculo de WhatsApp */
  }

/* ABOUT US*/
section {
  font-size: larger;
}

.contenedor {
  max-width: 50%;  
  text-align: center;
  position: relative;
  margin: 0 auto;
}

#about-us{
  padding: 10px;
  margin: 0 auto;
  text-align: center;
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

/* CONTACTO */
/* #redes-sociales {} */

a {
  text-decoration: none;
  text-align: center;
  margin: auto;
  border-bottom: 5px;
}

ul {
  list-style-type: none;
}

/* HEADER */
nav ul li {
  --cr-button-height: 32px;
    border: none;
    /*border-radius: calc(.5* var(--cr-button-height));
    box-shadow: 0 3px 6px rgba(0, 0, 0, .16), 0 1px 2px rgba(0, 0, 0, .23);*/
    font-weight: 400;
    min-width: 32px;
    padding-inline-end: 16px;
    padding-inline-start: 16px;
    padding: 10px;
}
.redes {
  display: flex;
  justify-content: space-evenly;
}
.redes li{
  padding: 30px;
}
nav ul li:hover {
  background-color: red;
}
/* FOOTER */
.footer {
  background-color: #333;
  color: #fff;
  padding: 20px;
  text-align: center;
}

.social-icons {
  margin-bottom: 10px;
}

.icon {
  width: 40px;
  height: 40px;
  margin: 0 10px;
  transition: transform 0.3s;
}

.icon:hover {
  transform: scale(1.1); /* Efecto de zoom al pasar el mouse */
}

.contact-info {
  margin-top: 10px;
}

.email {
  color: #fff;
  text-decoration: none;
}

.email:hover {
  text-decoration: underline; /* Subrayado al pasar el mouse */
}

@media (max-width: 768) {
  .main-container {
    max-width: 100%;
  }
}